[mythtv-users] Current Trunk, mysql latin1 and gentoo oddities

Michael T. Dean mtdean at thirdcontact.com
Thu Mar 12 19:00:34 UTC 2009

On 03/12/2009 02:26 PM, Wayde Milas wrote:
> Michael T. Dean wrote:
>> On 03/11/2009 08:10 PM, Wayde Milas wrote:
>>> I might also note that the error is popping up in the SVN version (of
>>> myth), along with the release version.
>> By "release version," you mean 0.21-fixes?  If so, it only compiles with
>> Qt 3.x, so wouldn't be affected by the Qt 4.5.0 bug.
> Wasn't aware of that, I though you were referring to the fixes branch
> initially based on how the ticket was filed.
> Anyways, Its fixed now, thanks for your help.

OK.  Just to clarify.  The MySQL Server configuration requirement (that 
most Gentoo users' MySQL servers don't meet--i.e. configuring the server 
to use the latin1 character set) is a requirement for -fixes databases, 
only.  (I.e. you would need to have the proper configuration when you 
import your -fixes database, but as soon as you run trunk's mythtv-setup 
to upgrade the database, you can change the MySQL server configuration 
as desired.)

The failed DB upgrade/creation was an issue for trunk, only.  It's no 
longer a problem in current trunk.


More information about the mythtv-users mailing list